Subject: Re: [PATCH v3 1/5] promisor-remote: refactor to get rid of 'struct strvec'

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 May 2025 08:00:37 -0700

Christian Couder <[email-masked]> writes:

> I don't think it would bring a lot of benefits. Using an strmap or a
> sorted string list might make things faster if there are a lot of
> promisor remotes configured on the clients, but I don't think we are
> at a point where such an optimisation is worth it.

What I was getting at using common collection types instead of
rolling your own linked list was not primarily about performance.
They are more battle-tested and much easier to readers who are
familiar with these existing types.